DRM_PRIME_PAGES_TO_S(9)

NAME
drm_prime_pages_to_sg - converts a page array into an sg list

SYNOPSIS

struct sg_table * drm_prime_pages_to_sg(struct page ** pages, unsigned int nr_pages);

ARGUMENTS

pages
    pointer to the array of page pointers to convert

nr_pages
    length of the page vector

DESCRIPTION

This helper creates an sg table object from a set of pages the driver is responsible for mapping the pages into the importers address space for use with dma_buf itself.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT